#ifndef __PROOF_HPP
#define __PROOF_HPP

#include <string>
#include <vector>
#include <sstream>

#include "Scalar.hpp"
#include "Curvepoint.hpp"

// typedef std::string Proof;

struct Proof {    
    std::string basic;
    std::vector<Curvepoint> partialUniversals;
    std::vector<Curvepoint> initParts;
    std::vector<Scalar> challengeParts;
    std::vector<Scalar> responseParts;
};

Scalar oracle(std::string input);

#endif

